Bug 30786 - Capitalization in (Opac)AdvancedSearchTypes
Summary: Capitalization in (Opac)AdvancedSearchTypes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Nind
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-17 09:00 UTC by Katrin Fischer
Modified: 2022-07-26 15:54 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact: Caroline Cyr La Rose
Documentation submission: https://gitlab.com/koha-community/koha-manual/-/merge_requests/575
Text to go in the release notes:
This fixes the descriptions for the AdvancedSearchTypes and OpacAdvancedSearchTypes system preferences - sentence case is now used for "..Shelving location..".
Version(s) released in:
22.11.00, 22.05.01, 21.11.11


Attachments
Bug 30786: Fix capitalization in advanced search system preferences (3.02 KB, patch)
2022-05-18 02:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 30786: Fix capitalization in advanced search system preferences (3.08 KB, patch)
2022-05-18 13:40 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 30786: Fix capitalization in advanced search system preferences (3.14 KB, patch)
2022-05-30 18:07 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-05-17 09:00:45 UTC
In the description of the system prefernce OpacAdvancedSearchTypes should be more lower case letters :)

<em>Currently supported values</em>: Item types (<strong>itemtypes</strong>), Collection, (<strong>ccode</strong>) and Shelving Location (<strong>loc</strong>)...
Comment 1 Katrin Fischer 2022-05-17 09:12:02 UTC
Same applies to AdvancedSearchTypes
Comment 2 David Nind 2022-05-18 02:44:06 UTC
Created attachment 135086 [details] [review]
Bug 30786: Fix capitalization in advanced search system preferences

This fixes the capitalization in the descriptions for the
AdvancedSearchTypes and OpacAdvancedSearchTypes system preferences.

Test plan:
1. In the staff interface, search the system preferences for
   'AdvancedSearch'.
2. Review the current descriptions for the AdvancedSearchTypes and
   OpacAdvancedSearchTypes system preferences.
3. Note that "..Shelving Location.." is used instead of "..Shelving
   location..".
4. Apply the patch.
5. Refresh the page.
6. Sentence case is now used for "Shelving location" in the
   descriptions (as per coding guideline HTML4: Upper and lower cases
   in strings).
7. Sign off.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-05-18 02:48:32 UTC
Apologies Owen, I hadn't noticed that you had assigned this one to yourself!
Comment 4 Owen Leonard 2022-05-18 11:07:32 UTC
(In reply to David Nind from comment #3)
> Apologies Owen, I hadn't noticed that you had assigned this one to yourself!

No problem at all--I was just the default assignee.
Comment 5 sandboxes@biblibre.com 2022-05-18 13:40:52 UTC
Created attachment 135111 [details] [review]
Bug 30786: Fix capitalization in advanced search system preferences

This fixes the capitalization in the descriptions for the
AdvancedSearchTypes and OpacAdvancedSearchTypes system preferences.

Test plan:
1. In the staff interface, search the system preferences for
   'AdvancedSearch'.
2. Review the current descriptions for the AdvancedSearchTypes and
   OpacAdvancedSearchTypes system preferences.
3. Note that "..Shelving Location.." is used instead of "..Shelving
   location..".
4. Apply the patch.
5. Refresh the page.
6. Sentence case is now used for "Shelving location" in the
   descriptions (as per coding guideline HTML4: Upper and lower cases
   in strings).
7. Sign off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 Sally 2022-05-18 13:42:17 UTC
All working well; signed off.
Comment 7 Victor Grousset/tuxayo 2022-05-30 18:07:16 UTC
Created attachment 135449 [details] [review]
Bug 30786: Fix capitalization in advanced search system preferences

This fixes the capitalization in the descriptions for the
AdvancedSearchTypes and OpacAdvancedSearchTypes system preferences.

Test plan:
1. In the staff interface, search the system preferences for
   'AdvancedSearch'.
2. Review the current descriptions for the AdvancedSearchTypes and
   OpacAdvancedSearchTypes system preferences.
3. Note that "..Shelving Location.." is used instead of "..Shelving
   location..".
4. Apply the patch.
5. Refresh the page.
6. Sentence case is now used for "Shelving location" in the
   descriptions (as per coding guideline HTML4: Upper and lower cases
   in strings).
7. Sign off.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Victor Grousset/tuxayo 2022-05-30 18:07:40 UTC
Works, qa script happy, code looks good, passing QA :)
Comment 9 Tomás Cohen Arazi 2022-06-01 19:10:02 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 10 Lucas Gass 2022-06-10 14:59:20 UTC
Pushed to 22.05.x for 22.05.01
Comment 11 Arthur Suzuki 2022-07-21 13:13:20 UTC
pushed to 21.11.x for 21.11.11, thx!
Comment 12 Victor Grousset/tuxayo 2022-07-23 20:03:38 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document, marking resolved.